<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="restaurant">
      <h2 data-cy="restaurantDetailsHeading"><span jhiTranslate="jokegeneratorApp.restaurant.detail.title">Restaurant</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ restaurant.id }}</span>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.restaurant.name">Name</span></dt>
        <dd>
          <span>{{ restaurant.name }}</span>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.restaurant.address">Address</span></dt>
        <dd>
          <span>{{ restaurant.address }}</span>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/restaurant', restaurant.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
